import { Fragment } from "file:///Users/dmail/Documents/dev/core/node_modules/preact/dist/preact.module.js";
import { useState } from "file:///Users/dmail/Documents/dev/core/node_modules/preact/hooks/dist/hooks.module.js";
import { jsx as _jsx, jsxs as _jsxs } from "file:///Users/dmail/Documents/dev/core/node_modules/preact/jsx-runtime/dist/jsxRuntime.module.js";
export const Counter = () => {
  const [count, setCount] = useState(0);
  return _jsxs(Fragment, {
    children: [_jsx("button", {
      id: "counter_button",
      type: "button",
      onClick: () => setCount(count => count + 1),
      children: "Click me"
    }), _jsx("br", {}), "number of click: ", _jsx("span", {
      id: "counter_output",
      children: count
    })]
  });
};